
#ifndef __DIALOGBA_HPP__
#define __DIALOGBA_HPP__

//**************************************
#ifndef CPA_EXPORT
#if defined(CPA_WANTS_IMPORT)
#define CPA_EXPORT __declspec(dllimport)
#elif defined(CPA_WANTS_EXPORT)
#define CPA_EXPORT __declspec(dllexport)
#else
#define CPA_EXPORT
#endif
#endif
//**************************************

#include "itf.h"
#include "camresrc.h"

class Camera;
class Camera_Interface;
class DialogBar
{
private:

	Camera				*m_p_oCamera;
	Camera_Interface	*m_p_oInterface;
	CPA_DialogBar		*m_p_oParentWnd;
	
	
	CPA_PopUpToolBar	m_oToolBar;

public:
	
    DialogBar(void);
	DialogBar(DialogBar& r_src);

	void SetCamera(Camera *p_oCamera);

	CPA_DialogBar *GetCPA_DialogBar() {return m_p_oParentWnd;};
	CPA_PopUpToolBar *GetToolBar() {return (m_p_oParentWnd == NULL) ? NULL : &m_oToolBar;};
	void InitInertCameraDialogBar(Camera* p_oCamera);

	void Show();
	void Hide();
	void UpdateToolBar();
	BOOL GetToolTipText(TOOLTIPTEXT *p_TTT, UINT nID);

	void Create(CPA_DialogBar *p_oPopUpParent, CPoint oPos);
	void Destroy();

	void OnCommand(UINT nID);


};

class Camera_NewSlot : public CDialog
{
// Construction
protected:
	CString m_csName;
	BOOL	m_bDefault;

public:

// parent editor
	CString GetName (void) { return m_csName; }

// standard constructor
	Camera_NewSlot (CWnd* pParent = NULL);   

// Dialog
	int fn_iDoDialog (CString _csName, BOOL bDefault = FALSE);

// Dialog Data
	//{{AFX_DATA(Camera_NewSlot)
	enum { IDD = IDD_NEW_SLOT };
	CEdit		m_cNewName;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(Camera_NewSlot)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL


// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(Camera_NewSlot)
	virtual BOOL OnInitDialog();
	afx_msg	void OnOK();
	afx_msg	void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif // __CAMSLOTS_HPP__